import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_RegisterToWorkMailCommand, se_RegisterToWorkMailCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class RegisterToWorkMailCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("WorkMailService", "RegisterToWorkMail", {})
    .n("WorkMailClient", "RegisterToWorkMailCommand")
    .f(void 0, void 0)
    .ser(se_RegisterToWorkMailCommand)
    .de(de_RegisterToWorkMailCommand)
    .build() {
}
